Save conversations
curl --request POST \
--url https://sandbox.tight.com/v6/conversations \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": [
{
"subject": "Transaction review needed",
"message": {
"text": "<string>",
"attachmentIds": [
"<string>"
]
},
"id": "con_12345",
"attachedEntityId": "btxn_67890",
"status": "ACTIVE",
"readStatus": "UNREAD",
"resolutionStatus": "OPEN"
}
]
}
'import requests
url = "https://sandbox.tight.com/v6/conversations"
payload = { "data": [
{
"subject": "Transaction review needed",
"message": {
"text": "<string>",
"attachmentIds": ["<string>"]
},
"id": "con_12345",
"attachedEntityId": "btxn_67890",
"status": "ACTIVE",
"readStatus": "UNREAD",
"resolutionStatus": "OPEN"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
subject: 'Transaction review needed',
message: {text: '<string>', attachmentIds: ['<string>']},
id: 'con_12345',
attachedEntityId: 'btxn_67890',
status: 'ACTIVE',
readStatus: 'UNREAD',
resolutionStatus: 'OPEN'
}
]
})
};
fetch('https://sandbox.tight.com/v6/conversations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"data": {
"id": "con_12345",
"attachedEntityId": "<string>",
"company": {
"id": "co_123456",
"name": "ACME Corp"
},
"subject": "Transaction review needed",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"latestMessage": {
"id": "msg_67890",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"text": "<string>"
},
"status": "ACTIVE",
"readStatus": "UNREAD",
"resolutionStatus": "OPEN",
"createdDateTime": "2023-11-07T05:31:56Z",
"lastUpdatedDateTime": "2023-11-07T05:31:56Z"
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "con_12345",
"attachedEntityId": "<string>",
"company": {
"id": "co_123456",
"name": "ACME Corp"
},
"subject": "Transaction review needed",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"latestMessage": {
"id": "msg_67890",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"text": "<string>"
},
"status": "ACTIVE",
"readStatus": "UNREAD",
"resolutionStatus": "OPEN",
"createdDateTime": "2023-11-07T05:31:56Z",
"lastUpdatedDateTime": "2023-11-07T05:31:56Z"
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"data": [
{
"data": {
"id": "con_12345",
"attachedEntityId": "<string>",
"company": {
"id": "co_123456",
"name": "ACME Corp"
},
"subject": "Transaction review needed",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"latestMessage": {
"id": "msg_67890",
"author": {
"userId": "<string>",
"email": "user@example.com"
},
"text": "<string>"
},
"status": "ACTIVE",
"readStatus": "UNREAD",
"resolutionStatus": "OPEN",
"createdDateTime": "2023-11-07T05:31:56Z",
"lastUpdatedDateTime": "2023-11-07T05:31:56Z"
},
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}
],
"error": [
{
"message": "<string>",
"param": "<string>"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "INVALID_TOKEN",
"message": "Invalid access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "FORBIDDEN",
"message": "Expired access token"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "BAD_REQUEST",
"message": "Resource not found"
}
]
}{
"result": "FAILURE",
"error": [
{
"type": "UNKNOWN_ERROR",
"message": "Something went wrong. Please try again later."
}
]
}Conversations
Save conversations
Save a new (or update an existing) set of conversations
POST
/
v6
/
conversations
Save conversations
Authorizations
Bearer authentication header of the form Bearer <token>, see Authentication for more detail.
Body
application/json
Show child attributes
Show child attributes
⌘I